<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'mimetypes', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   mimetypes
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['application/epub_zip'] = 'EPUB كتاب الكتروني';
$string['application/json'] = 'نص {$a->MIMETYPE2}';
$string['application/msword'] = 'وثيقة Word';
$string['application/pdf'] = 'وثيقة PDF';
$string['application/vnd.moodle.backup'] = 'توتارا النسخ الاحتياطي';
$string['application/vnd.ms-excel'] = 'وثيقة أكسل';
$string['application/vnd.ms-excel.sheet.macroEnabled.12'] = 'مصنف إكسيل 2007 الماكرو';
$string['application/vnd.ms-powerpoint'] = 'عرض بور بوينت';
$string['application/vnd.oasis.opendocument.spreadsheet'] = 'جدول بيانات OpenDocument';
$string['application/vnd.oasis.opendocument.spreadsheet-template'] = 'نموذج جدول بيانات OpenDocument';
$string['application/vnd.oasis.opendocument.text'] = 'ملف نص OpenDocument';
$string['application/vnd.oasis.opendocument.text-template'] = 'نموذج نص OpenDocument';
$string['application/vnd.oasis.opendocument.text-web'] = 'نموذج صفحة ويب OpenDocument';
$string['application/vnd.openxmlformats-officedocument.presentationml.presentation'] = 'عرض باور بوينت';
$string['application/vnd.openxmlformats-officedocument.presentationml.slideshow'] = 'باور بوينت لعرض الشرائح';
$string['application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'] = 'جداول البيانات إكسل';
$string['application/vnd.openxmlformats-officedocument.spreadsheetml.template'] = 'قالب اكسل';
$string['application/vnd.openxmlformats-officedocument.wordprocessingml.document'] = 'مستند وورد Word';
$string['application/xhtml_xml'] = 'مستند XHTML';
$string['application/x-iwork-keynote-sffkey'] = 'iWork Keynote presentation';
$string['application/x-iwork-numbers-sffnumbers'] = 'iWork Numbers spreadsheet';
$string['application/x-iwork-pages-sffpages'] = 'iWork Pages document';
$string['application/x-javascript'] = 'مصدر جافا سكريبت';
$string['application/x-mspublisher'] = 'وثيقة الناشر';
$string['application/x-shockwave-flash'] = 'الرسوم المتحركة لفلاش';
$string['archive'] = 'أرشيف ({$a->EXT})';
$string['audio'] = 'الملفات الصوتية ({$a->EXT})';
$string['default'] = '{$a->mimetype}';
$string['document/unknown'] = 'ملف';
$string['group:archive'] = 'أرشفة الملفات';
$string['group:audio'] = 'ملفات صوتية';
$string['group:document'] = 'ملفات المستندات';
$string['group:html_audio'] = 'الملفات الصوتية المدعومة أصلا من قبل المتصفحات';
$string['group:html_track'] = 'ملفات تتبع HTML';
$string['group:html_video'] = 'ملفات الفيديو التي تدعمها المتصفحات أصلا';
$string['group:image'] = 'ملفات الصور';
$string['group:presentation'] = 'ملفات العرض التقديمي';
$string['group:sourcecode'] = 'مصدر الرمز';
$string['group:spreadsheet'] = 'ملفات جداول البيانات';
$string['group:video'] = 'ملفات الفيديو';
$string['group:web_audio'] = 'الملفات الصوتية المستخدمة على الويب';
$string['group:web_file'] = 'ملفات الويب';
$string['group:web_image'] = 'ملفات الصور المستخدمة على الويب';
$string['group:web_video'] = 'ملفات الفيديو المستخدمة على الويب';
$string['image'] = 'صورة ({$a->MIMETYPE2})';
$string['image/vnd.microsoft.icon'] = 'رمز ويندوز';
$string['text/css'] = 'Cascading Style-Sheet';
$string['text/csv'] = 'قيم مفصولة بفواصل';
$string['text/html'] = 'مستند HTML';
$string['text/plain'] = 'ملف نصي';
$string['text/rtf'] = 'وثيقة RTF';
$string['text/vtt'] = 'مسار نص الفيديو على الويب';
$string['video'] = 'ملف الفيديو ({$a->EXT})';
