<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_uploaduser', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_uploaduser
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowdeletes'] = 'السماح بالحذف';
$string['allowrenames'] = 'السماح بإعادة التسمية';
$string['allowsuspends'] = 'السماح بتعليق وتفعيل الحسابات';
$string['assignedsysrole'] = 'تعيين دور النظام {$a}';
$string['csvdelimiter'] = 'CSV محدد';
$string['defaultvalues'] = 'القيم الأفتراضية';
$string['deleteerrors'] = 'احذف الاخطاء';
$string['encoding'] = 'التشفير';
$string['errormnetadd'] = 'لا يمكن إضافة مستخدمين عن بعد';
$string['errors'] = 'أخطاء';
$string['invalidupdatetype'] = 'لا يمكن تحديد هذا الخيار بنوع التحميل المختار.';
$string['invaliduserdata'] = 'تم اكتشاف بيانات غير صالحة للمستخدم {$a} وتم تنظيفها تلقائيا.';
$string['nochanges'] = 'لا يوجد تغير';
$string['pluginname'] = 'تحميل المستخدم';
$string['renameerrors'] = 'أخطاء في إعادة المسميات';
$string['requiredtemplate'] = 'مطلوب. يمكنك بناء القوالب هنا (%l = اسم العائلة، الاسم الأول =%f، %u = اسم المستخدم). انظر التعليمات للحصول على التفاصيل والأمثلة.';
$string['rowpreviewnum'] = 'معاينة صفوف جدول';
$string['unassignedsysrole'] = 'إلغاء تعيين دور النظام {$a}';
$string['uploadpicture_baduserfield'] = 'السمة المستخدمة المحددة غير صالحة. من فضلك، حاول مرة أخرى.';
$string['uploadpicture_cannotmovezip'] = 'لا يمكن نقل ملف مضغوط إلى مجلد مؤقت';
$string['uploadpicture_cannotprocessdir'] = 'لا يمكن معالجة الملفات المضغوطة';
$string['uploadpicture_cannotsave'] = 'لا يمكن حفظ صورة ل{$a} المستخدم. التحقق من ملف الصورة الأصلية.';
$string['uploadpicture_cannotunzip'] = 'لا يمكن فك ملف الصور المضغوط';
$string['uploadpicture_invalidfilename'] = 'ملف الصورة {$a} تحتوي على أحرف غير صالحة في اسمها. تخطي.';
$string['uploadpicture_overwrite'] = 'اسبدال صورة المستخدم الموجودة؟';
$string['uploadpictures'] = 'حمل صور مستخدم';
$string['uploadpictures_help'] = 'يمكن تحميل صور المستخدم كملف مضغوط من ملفات الصور. يجب أن تكون تسمية ملفات الصور المختارة للمستخدم، attribute.extension، على سبيل المثال user1234.jpg لمستخدم باسم المستخدم user1234.';
$string['uploadpicture_userfield'] = 'سمة المستخدم المستخدمة لمطابقة الصور:';
$string['uploadpicture_usernotfound'] = 'لا وجود لمستخدم مع قيمة \'{$a->userfield}\' من \'{$a->uservalue}\'. تخطي';
$string['uploadpicture_userskipped'] = 'تخطي {$a} المستخدم (لديه صورة).';
$string['uploadpicture_userupdated'] = 'صورة محدثة ل{$a} المستخدم.';
$string['uploadusers'] = 'تحميل مستخدمون';
$string['uploadusers_help'] = 'يمكن تحميل المستخدمين (والمسجلين في الدورات اختياريا) عن طريق ملف نصي. يجب أن يكون تنسيق الملف كما يلي:
* في كل سطر من الملف يحتوي على سجل واحد
* كل سجل هو عبارة عن سلسلة من البيانات مفصولة بفواصل (أو محددات أخرى)
* يحتوي السجل الاول قائمة أسماء الحقول لتحديد شكل بقية ملف
* أسماء الحقول المطلوبة هي اسم المستخدم، كلمة السر، الاسم الأول، اسم العائلة، البريد الإلكتروني';
$string['uploaduserspreview'] = 'تحميل معاينة المستخدمين';
$string['uploadusersresult'] = 'حمل نتائج مستخدمين';
$string['uploaduser:uploaduserpictures'] = 'تحميل صور المستخدم';
$string['useraccountupdated'] = 'تم تحديث مستخدم';
$string['useraccountuptodate'] = 'بيانات المستخدم مكتملة حتى هذه اللحظة';
$string['useralreadydeleted'] = 'المستخدم حذف بالفعل';
$string['userdeleted'] = 'تم حذف المستخدم';
$string['userrenamed'] = 'تم تغير اسم مستخدم';
$string['userscreated'] = 'تم أنشاء مستخدمون';
$string['usersdeleted'] = 'تم خدف المستخدمين';
$string['usersrenamed'] = 'تم تغير اسماء مستخدمين';
$string['usersskipped'] = 'تم تخطي المستخدمين';
$string['usersupdated'] = 'تم تحديث المستخدمين';
$string['usersweakpassword'] = 'المستخدمون يحملون كلمة مرور ضعيفة';
$string['uubulk'] = 'اختر لعمل إجراءات مجمعة للمستخدمين';
$string['uubulkall'] = 'كل المستخدمين';
$string['uubulknew'] = 'المستخدمين الجدد';
$string['uubulkupdated'] = 'المستخدمين الذين تم تحديثهم';
$string['uucsvline'] = 'خط CSV';
$string['uulegacy1role'] = '(الطالب الأصلي) typeN = 1';
$string['uulegacy2role'] = '(المعلم الأصلي) typeN = 2';
$string['uulegacy3role'] = '(المعلمون الأصليون دون صلاحيات التحرير) typeN = 3';
$string['uunoemailduplicates'] = 'أمنع تكرار البريد الإلكتروني';
$string['uuoptype'] = 'نوع التحميل';
$string['uuoptype_addinc'] = 'إضافة الجميع، إلحاق العدد إلى أسماء المستخدمين إذا لزم الأمر';
$string['uuoptype_addnew'] = 'أضف الجديد فقط، وتخطى المستخدمين الموجودين';
$string['uuoptype_addupdate'] = 'أضف مستخدم جديد وحدث المستخدمين الحاليين';
$string['uuoptype_update'] = 'حدث المستخدمين الحاليين فقط';
$string['uupasswordcron'] = 'أنشأت عن طريق برنامج كرون';
$string['uupasswordnew'] = 'كلمة مرور مستخدم جديدة';
$string['uupasswordold'] = 'كلمة مرور المستخدم الحالية';
$string['uustandardusernames'] = 'مطابقة أسماء المستخدمين';
$string['uuupdateall'] = 'تجاوز مع الملف والحقول الافتراضية';
$string['uuupdatefromfile'] = 'تخطى بملف';
$string['uuupdatemissing'] = 'ملء المفقود من الملف والحقول الافتراضية';
$string['uuupdatetype'] = 'تفاصيل المستخدم الحالية';
$string['uuusernametemplate'] = 'قالب اسم المستخدم';
